/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.test.uiautomator.util;

import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.tracing.Trace;

import java.io.Closeable;

@RestrictTo(RestrictTo.Scope.LIBRARY)
public final class Traces {

    private Traces() {}

    public interface Section extends Closeable {
        @Override
        void close();
    }

    @NonNull
    public static Section trace(@NonNull String label) {
        Trace.beginSection(label);
        return Trace::endSection;
    }
}
